Bug 586976 - [abrt] crash in policycoreutils-python-2.0.82-7.fc13: sepolgen-ifgen:64:get_attrs:OSError: [Errno 2] No such file or directory
Summary: [abrt] crash in policycoreutils-python-2.0.82-7.fc13: sepolgen-ifgen:64:get_a...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils   
(Show other bugs)
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2cdc1e50
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-28 15:20 UTC by Mads Kiilerich
Modified: 2010-05-18 21:45 UTC (History)
2 users (show)

Fixed In Version: policycoreutils-2.0.82-18.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 21:45:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (498 bytes, text/plain)
2010-04-28 15:20 UTC, Mads Kiilerich
no flags Details

Description Mads Kiilerich 2010-04-28 15:20:31 UTC
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: /usr/bin/python -E /usr/bin/sepolgen-ifgen
component: policycoreutils
executable: /usr/bin/sepolgen-ifgen
kernel: 2.6.33.2-41.fc13.i686.PAE
package: policycoreutils-python-2.0.82-7.fc13
reason: sepolgen-ifgen:64:get_attrs:OSError: [Errno 2] No such file or directory
release: Fedora release 13 (Goddard)

backtrace
-----
sepolgen-ifgen:64:get_attrs:OSError: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/usr/bin/sepolgen-ifgen", line 126, in <module>
    sys.exit(main())
  File "/usr/bin/sepolgen-ifgen", line 103, in main
    attrs = get_attrs()
  File "/usr/bin/sepolgen-ifgen", line 64, in get_attrs
    policy_path = selinux.selinux_binary_policy_path() + "." + str(selinux.security_policyvers())
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:

Comment 1 Mads Kiilerich 2010-04-28 15:20:33 UTC
Created attachment 409883 [details]
File: backtrace

Comment 2 Daniel Walsh 2010-04-28 15:43:39 UTC
Fixed in policycoreutils-2.0.82-10.fc13

Comment 3 Fedora Update System 2010-05-11 20:34:20 UTC
policycoreutils-2.0.82-17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/policycoreutils-2.0.82-17.fc13

Comment 4 Fedora Update System 2010-05-12 12:20:19 UTC
policycoreutils-2.0.82-17.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update policycoreutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/policycoreutils-2.0.82-17.fc13

Comment 5 Fedora Update System 2010-05-15 20:19:35 UTC
policycoreutils-2.0.82-18.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update policycoreutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/policycoreutils-2.0.82-18.fc13

Comment 6 Fedora Update System 2010-05-18 21:45:20 UTC
policycoreutils-2.0.82-18.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.